TRPL - Feature #1759

design a database to back all TRPL processing
10/30/2012 07:28 AM - Greg Shah

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 80.00 hours
Target version: Database Backed Storage

billable: No vendor _id: GCD
Description

Related issues:

Blocks Conversion Tools - Feature #1758: design a database schema to contain ... New

Blocks TRPL - Feature #1755: implement database-backed filtering/walking opti... New

History

#1 - 10/30/2012 07:35 AM - Greg Shah

- Subject changed from implement full database backing for TRPL to design a database to back all TRPL processing

- Estimated time changed from 60.00 to 40.00

This must all complete TRPL processing solely from a database. The following features are expected to be needed:

1. A replacement for flat files. There must be a way to store files in the database (1 line in a file = 1 row in a table?) such that the file system does not
need to be read/written to directly in order to read/write or otherwise process source files. In some ways, TRPL will provide a file system that is

database backed.

2. storage/access to ASTs instead of file-system based XML
3. configuration

4. tracing, logging and errors

5. versioning

#2 - 10/31/2012 01:00 PM - Greg Shah

- Target version set to Code Improvements
#3 - 11/16/2016 09:59 AM - Greg Shah

- Estimated time changed from 40.00 to 80.00

- Target version changed from Code Improvements to Database Backed Storage

05/03/2024

1/1



http://www.tcpdf.org

